<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tm="http://microsoft.com/wsdl/mime/textMatching/" xmlns:soapenc="http://schemas.xmlsoap.org/soap/encoding/" xmlns:mime="http://schemas.xmlsoap.org/wsdl/mime/" xmlns:tns="http://swsoft.com/SiteBuilder/SiteService/v_3_2" xmlns:s="http://www.w3.org/2001/XMLSchema" xmlns:soap12="http://schemas.xmlsoap.org/wsdl/soap12/" xmlns:http="http://schemas.xmlsoap.org/wsdl/http/" targetNamespace="http://swsoft.com/SiteBuilder/SiteService/v_3_2" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/">
  <wsdl:types>
    <s:schema elementFormDefault="qualified" targetNamespace="http://swsoft.com/SiteBuilder/SiteService/v_3_2">
      <s:element name="GetSiteHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSiteHostResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSiteHostResult" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CredentialsSoapHeader" type="tns:CredentialsSoapHeader"/>
      <s:complexType name="CredentialsSoapHeader">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Login" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string"/>
        </s:sequence>
        <s:anyAttribute/>
      </s:complexType>
      <s:element name="GetSiteById">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="GetSiteByIdResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSiteByIdResult" type="tns:SiteValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="SiteValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Id" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Alias" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="OwnerId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="OwnerUserName" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsActive" type="s:boolean"/>
          <s:element minOccurs="0" maxOccurs="1" name="PublishingSettings" type="tns:PublishingSettingsValue"/>
          <s:element minOccurs="0" maxOccurs="1" name="LastPublishingSettings" type="tns:PublishingSettingsValue"/>
          <s:element minOccurs="0" maxOccurs="1" name="HostId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="ResellerId" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="ResellerUserName" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="CreationDate" type="s:dateTime"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="PublishingSettingsValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Id" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="StandardLocation" type="tns:LocationSettings"/>
          <s:element minOccurs="1" maxOccurs="1" name="FtpLocation" type="tns:LocationSettings"/>
          <s:element minOccurs="1" maxOccurs="1" name="Mode" type="tns:PublishMode"/>
          <s:element minOccurs="1" maxOccurs="1" name="Scenario" type="tns:PublishScenario"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="LocationSettings">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="1" name="Address" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="UserName" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="Password" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="WorkingDirectory" type="s:string"/>
          <s:element minOccurs="0" maxOccurs="1" name="WebSiteUrl" type="s:string"/>
          <s:element minOccurs="1" maxOccurs="1" name="IsAnonymous" type="s:boolean"/>
          <s:element minOccurs="1" maxOccurs="1" name="Veid" type="s:long"/>
          <s:element minOccurs="1" maxOccurs="1" name="VerifyStatus" type="tns:LocationStatus"/>
          <s:element minOccurs="1" maxOccurs="1" name="LastVerifyAttempt" type="s:dateTime"/>
        </s:sequence>
      </s:complexType>
      <s:simpleType name="LocationStatus">
        <s:restriction base="s:string">
          <s:enumeration value="Unverified"/>
          <s:enumeration value="LocationError"/>
          <s:enumeration value="UnknownError"/>
          <s:enumeration value="StaticOnly"/>
          <s:enumeration value="Dynamic"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="PublishMode">
        <s:restriction base="s:string">
          <s:enumeration value="XCopy"/>
          <s:enumeration value="Ftp"/>
          <s:enumeration value="Vps"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="PublishScenario">
        <s:restriction base="s:string">
          <s:enumeration value="Standard"/>
          <s:enumeration value="FreeSwsoftHosting"/>
          <s:enumeration value="AnyFtp"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="CreateAnonymousSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="resellerId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateAnonymousSiteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreateAnonymousSiteResult" type="tns:SiteValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="siteType" type="tns:SiteType"/>
            <s:element minOccurs="0" maxOccurs="1" name="siteAlias" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ownerId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="SiteType">
        <s:restriction base="s:string">
          <s:enumeration value="Trial"/>
          <s:enumeration value="Regular"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="CreateSiteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreateSiteResult" type="tns:SiteValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSite2">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="siteType" type="tns:SiteType"/>
            <s:element minOccurs="0" maxOccurs="1" name="siteAlias" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishingSettings" type="tns:PublishingSettingsValue"/>
            <s:element minOccurs="0" maxOccurs="1" name="ownerId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="hostId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSite2Response">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreateSite2Result" type="tns:SiteValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSiteWithHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="alias" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ipAddress" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishUsername" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishPassword" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishWorkingDirectory" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishWebSiteUrl" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="CreateSiteWithHostResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="CreateSiteWithHostResult" type="tns:SiteValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MigrateSiteWithHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="username" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="alias" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ipAddress" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishUsername" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishPassword" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishWorkingDirectory" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishWebSiteUrl" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="oldInstallationDBConnection" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="oldInstallationPath" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="oldSiteId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="MigrateSiteWithHostResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="MigrateSiteWithHostResult" type="tns:SiteValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateSiteWithHost">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ipAddress" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishUsername" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishPassword" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishWorkingDirectory" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishWebSiteUrl" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateSiteWithHostResponse">
        <s:complexType/>
      </s:element>
      <s:element name="GetSites">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="pos" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="count" type="s:int"/>
            <s:element minOccurs="1" maxOccurs="1" name="select" type="tns:SelectType"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortType" type="tns:SortType"/>
            <s:element minOccurs="1" maxOccurs="1" name="sortDirection" type="tns:SortDirection"/>
            <s:element minOccurs="1" maxOccurs="1" name="flagOnlyPublished" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:simpleType name="SelectType">
        <s:restriction base="s:string">
          <s:enumeration value="All"/>
          <s:enumeration value="MyTree"/>
          <s:enumeration value="MyOnly"/>
          <s:enumeration value="AnonymousOnly"/>
          <s:enumeration value="TrialSites"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SortType">
        <s:restriction base="s:string">
          <s:enumeration value="Alias"/>
          <s:enumeration value="Type"/>
          <s:enumeration value="Status"/>
          <s:enumeration value="IsActive"/>
          <s:enumeration value="Owner"/>
          <s:enumeration value="Reseller"/>
          <s:enumeration value="IsPublished"/>
          <s:enumeration value="CreationDate"/>
        </s:restriction>
      </s:simpleType>
      <s:simpleType name="SortDirection">
        <s:restriction base="s:string">
          <s:enumeration value="Ascending"/>
          <s:enumeration value="Descending"/>
        </s:restriction>
      </s:simpleType>
      <s:element name="GetSitesResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="GetSitesResult" type="tns:TotalListOfSiteValue"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="TotalListOfSiteValue">
        <s:sequence>
          <s:element minOccurs="1" maxOccurs="1" name="TotalCount" type="s:int"/>
          <s:element minOccurs="0" maxOccurs="1" name="Items" type="tns:ArrayOfSiteValue"/>
        </s:sequence>
      </s:complexType>
      <s:complexType name="ArrayOfSiteValue">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="SiteValue" nillable="true" type="tns:SiteValue"/>
        </s:sequence>
      </s:complexType>
      <s:element name="PublishSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PublishSiteResponse">
        <s:complexType/>
      </s:element>
      <s:element name="PublishSiteDirect">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishingSettings" type="tns:PublishingSettingsValue"/>
            <s:element minOccurs="0" maxOccurs="1" name="hostId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="PublishSiteDirectResponse">
        <s:complexType/>
      </s:element>
      <s:element name="UpdateSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="alias" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="publishingSettings" type="tns:PublishingSettingsValue"/>
            <s:element minOccurs="0" maxOccurs="1" name="hostId" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="UpdateSiteResponse">
        <s:complexType/>
      </s:element>
      <s:element name="SetDefaultScenario">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="siteId" type="s:string"/>
            <s:element minOccurs="1" maxOccurs="1" name="scenario" type="tns:PublishScenario"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="SetDefaultScenarioResponse">
        <s:complexType/>
      </s:element>
      <s:element name="ActivateSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="siteIds" type="tns:ArrayOfString"/>
            <s:element minOccurs="1" maxOccurs="1" name="flagActivate" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:complexType name="ArrayOfString">
        <s:sequence>
          <s:element minOccurs="0" maxOccurs="unbounded" name="string" nillable="true" type="s:string"/>
        </s:sequence>
      </s:complexType>
      <s:element name="ActivateSiteResponse">
        <s:complexType/>
      </s:element>
      <s:element name="TakeOwnershipOfAnonymousSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="siteId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ownerId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="alias" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="TakeOwnershipOfAnonymousSiteResponse">
        <s:complexType/>
      </s:element>
      <s:element name="ChangeSiteOwner">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="siteId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ownerOldId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ownerNewId" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="alias" type="s:string"/>
            <s:element minOccurs="0" maxOccurs="1" name="ipAddress" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="ChangeSiteOwnerResponse">
        <s:complexType/>
      </s:element>
      <s:element name="DeleteSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="siteIds" type="tns:ArrayOfString"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteSiteResponse">
        <s:complexType/>
      </s:element>
      <s:element name="IsAnonymousSite">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="0" maxOccurs="1" name="id" type="s:string"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="IsAnonymousSiteResponse">
        <s:complexType>
          <s:sequence>
            <s:element minOccurs="1" maxOccurs="1" name="IsAnonymousSiteResult" type="s:boolean"/>
          </s:sequence>
        </s:complexType>
      </s:element>
      <s:element name="DeleteExpiredAnonymouseSites">
        <s:complexType/>
      </s:element>
      <s:element name="DeleteExpiredAnonymouseSitesResponse">
        <s:complexType/>
      </s:element>
    </s:schema>
  </wsdl:types>
  <wsdl:message name="GetSiteHostSoapIn">
    <wsdl:part name="parameters" element="tns:GetSiteHost"/>
  </wsdl:message>
  <wsdl:message name="GetSiteHostSoapOut">
    <wsdl:part name="parameters" element="tns:GetSiteHostResponse"/>
  </wsdl:message>
  <wsdl:message name="GetSiteHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetSiteByIdSoapIn">
    <wsdl:part name="parameters" element="tns:GetSiteById"/>
  </wsdl:message>
  <wsdl:message name="GetSiteByIdSoapOut">
    <wsdl:part name="parameters" element="tns:GetSiteByIdResponse"/>
  </wsdl:message>
  <wsdl:message name="GetSiteByIdCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateAnonymousSiteSoapIn">
    <wsdl:part name="parameters" element="tns:CreateAnonymousSite"/>
  </wsdl:message>
  <wsdl:message name="CreateAnonymousSiteSoapOut">
    <wsdl:part name="parameters" element="tns:CreateAnonymousSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateAnonymousSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateSiteSoapIn">
    <wsdl:part name="parameters" element="tns:CreateSite"/>
  </wsdl:message>
  <wsdl:message name="CreateSiteSoapOut">
    <wsdl:part name="parameters" element="tns:CreateSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateSite2SoapIn">
    <wsdl:part name="parameters" element="tns:CreateSite2"/>
  </wsdl:message>
  <wsdl:message name="CreateSite2SoapOut">
    <wsdl:part name="parameters" element="tns:CreateSite2Response"/>
  </wsdl:message>
  <wsdl:message name="CreateSite2CredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="CreateSiteWithHostSoapIn">
    <wsdl:part name="parameters" element="tns:CreateSiteWithHost"/>
  </wsdl:message>
  <wsdl:message name="CreateSiteWithHostSoapOut">
    <wsdl:part name="parameters" element="tns:CreateSiteWithHostResponse"/>
  </wsdl:message>
  <wsdl:message name="CreateSiteWithHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="MigrateSiteWithHostSoapIn">
    <wsdl:part name="parameters" element="tns:MigrateSiteWithHost"/>
  </wsdl:message>
  <wsdl:message name="MigrateSiteWithHostSoapOut">
    <wsdl:part name="parameters" element="tns:MigrateSiteWithHostResponse"/>
  </wsdl:message>
  <wsdl:message name="MigrateSiteWithHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateSiteWithHostSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateSiteWithHost"/>
  </wsdl:message>
  <wsdl:message name="UpdateSiteWithHostSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateSiteWithHostResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdateSiteWithHostCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="GetSitesSoapIn">
    <wsdl:part name="parameters" element="tns:GetSites"/>
  </wsdl:message>
  <wsdl:message name="GetSitesSoapOut">
    <wsdl:part name="parameters" element="tns:GetSitesResponse"/>
  </wsdl:message>
  <wsdl:message name="GetSitesCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="PublishSiteSoapIn">
    <wsdl:part name="parameters" element="tns:PublishSite"/>
  </wsdl:message>
  <wsdl:message name="PublishSiteSoapOut">
    <wsdl:part name="parameters" element="tns:PublishSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="PublishSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="PublishSiteDirectSoapIn">
    <wsdl:part name="parameters" element="tns:PublishSiteDirect"/>
  </wsdl:message>
  <wsdl:message name="PublishSiteDirectSoapOut">
    <wsdl:part name="parameters" element="tns:PublishSiteDirectResponse"/>
  </wsdl:message>
  <wsdl:message name="PublishSiteDirectCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="UpdateSiteSoapIn">
    <wsdl:part name="parameters" element="tns:UpdateSite"/>
  </wsdl:message>
  <wsdl:message name="UpdateSiteSoapOut">
    <wsdl:part name="parameters" element="tns:UpdateSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="UpdateSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="SetDefaultScenarioSoapIn">
    <wsdl:part name="parameters" element="tns:SetDefaultScenario"/>
  </wsdl:message>
  <wsdl:message name="SetDefaultScenarioSoapOut">
    <wsdl:part name="parameters" element="tns:SetDefaultScenarioResponse"/>
  </wsdl:message>
  <wsdl:message name="SetDefaultScenarioCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="ActivateSiteSoapIn">
    <wsdl:part name="parameters" element="tns:ActivateSite"/>
  </wsdl:message>
  <wsdl:message name="ActivateSiteSoapOut">
    <wsdl:part name="parameters" element="tns:ActivateSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="ActivateSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="TakeOwnershipOfAnonymousSiteSoapIn">
    <wsdl:part name="parameters" element="tns:TakeOwnershipOfAnonymousSite"/>
  </wsdl:message>
  <wsdl:message name="TakeOwnershipOfAnonymousSiteSoapOut">
    <wsdl:part name="parameters" element="tns:TakeOwnershipOfAnonymousSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="TakeOwnershipOfAnonymousSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="ChangeSiteOwnerSoapIn">
    <wsdl:part name="parameters" element="tns:ChangeSiteOwner"/>
  </wsdl:message>
  <wsdl:message name="ChangeSiteOwnerSoapOut">
    <wsdl:part name="parameters" element="tns:ChangeSiteOwnerResponse"/>
  </wsdl:message>
  <wsdl:message name="ChangeSiteOwnerCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="DeleteSiteSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteSite"/>
  </wsdl:message>
  <wsdl:message name="DeleteSiteSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="DeleteSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="IsAnonymousSiteSoapIn">
    <wsdl:part name="parameters" element="tns:IsAnonymousSite"/>
  </wsdl:message>
  <wsdl:message name="IsAnonymousSiteSoapOut">
    <wsdl:part name="parameters" element="tns:IsAnonymousSiteResponse"/>
  </wsdl:message>
  <wsdl:message name="IsAnonymousSiteCredentialsSoapHeader">
    <wsdl:part name="CredentialsSoapHeader" element="tns:CredentialsSoapHeader"/>
  </wsdl:message>
  <wsdl:message name="DeleteExpiredAnonymouseSitesSoapIn">
    <wsdl:part name="parameters" element="tns:DeleteExpiredAnonymouseSites"/>
  </wsdl:message>
  <wsdl:message name="DeleteExpiredAnonymouseSitesSoapOut">
    <wsdl:part name="parameters" element="tns:DeleteExpiredAnonymouseSitesResponse"/>
  </wsdl:message>
  <wsdl:portType name="SiteWebServiceSoap">
    <wsdl:operation name="GetSiteHost">
      <wsdl:input message="tns:GetSiteHostSoapIn"/>
      <wsdl:output message="tns:GetSiteHostSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetSiteById">
      <wsdl:input message="tns:GetSiteByIdSoapIn"/>
      <wsdl:output message="tns:GetSiteByIdSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateAnonymousSite">
      <wsdl:input message="tns:CreateAnonymousSiteSoapIn"/>
      <wsdl:output message="tns:CreateAnonymousSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateSite">
      <wsdl:input message="tns:CreateSiteSoapIn"/>
      <wsdl:output message="tns:CreateSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateSite2">
      <wsdl:input message="tns:CreateSite2SoapIn"/>
      <wsdl:output message="tns:CreateSite2SoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="CreateSiteWithHost">
      <wsdl:input message="tns:CreateSiteWithHostSoapIn"/>
      <wsdl:output message="tns:CreateSiteWithHostSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="MigrateSiteWithHost">
      <wsdl:input message="tns:MigrateSiteWithHostSoapIn"/>
      <wsdl:output message="tns:MigrateSiteWithHostSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateSiteWithHost">
      <wsdl:input message="tns:UpdateSiteWithHostSoapIn"/>
      <wsdl:output message="tns:UpdateSiteWithHostSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="GetSites">
      <wsdl:input message="tns:GetSitesSoapIn"/>
      <wsdl:output message="tns:GetSitesSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="PublishSite">
      <wsdl:input message="tns:PublishSiteSoapIn"/>
      <wsdl:output message="tns:PublishSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="PublishSiteDirect">
      <wsdl:input message="tns:PublishSiteDirectSoapIn"/>
      <wsdl:output message="tns:PublishSiteDirectSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="UpdateSite">
      <wsdl:input message="tns:UpdateSiteSoapIn"/>
      <wsdl:output message="tns:UpdateSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="SetDefaultScenario">
      <wsdl:input message="tns:SetDefaultScenarioSoapIn"/>
      <wsdl:output message="tns:SetDefaultScenarioSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="ActivateSite">
      <wsdl:input message="tns:ActivateSiteSoapIn"/>
      <wsdl:output message="tns:ActivateSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="TakeOwnershipOfAnonymousSite">
      <wsdl:input message="tns:TakeOwnershipOfAnonymousSiteSoapIn"/>
      <wsdl:output message="tns:TakeOwnershipOfAnonymousSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="ChangeSiteOwner">
      <wsdl:input message="tns:ChangeSiteOwnerSoapIn"/>
      <wsdl:output message="tns:ChangeSiteOwnerSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="DeleteSite">
      <wsdl:input message="tns:DeleteSiteSoapIn"/>
      <wsdl:output message="tns:DeleteSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="IsAnonymousSite">
      <wsdl:input message="tns:IsAnonymousSiteSoapIn"/>
      <wsdl:output message="tns:IsAnonymousSiteSoapOut"/>
    </wsdl:operation>
    <wsdl:operation name="DeleteExpiredAnonymouseSites">
      <wsdl:input message="tns:DeleteExpiredAnonymouseSitesSoapIn"/>
      <wsdl:output message="tns:DeleteExpiredAnonymouseSitesSoapOut"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="SiteWebServiceSoap" type="tns:SiteWebServiceSoap">
    <soap:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetSiteHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/GetSiteHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetSiteHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSiteById">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/GetSiteById" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetSiteByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAnonymousSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateAnonymousSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateAnonymousSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSite2">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateSite2" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateSite2CredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSiteWithHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateSiteWithHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:CreateSiteWithHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MigrateSiteWithHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/MigrateSiteWithHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:MigrateSiteWithHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateSiteWithHost">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/UpdateSiteWithHost" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdateSiteWithHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSites">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/GetSites" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:GetSitesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PublishSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/PublishSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:PublishSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PublishSiteDirect">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/PublishSiteDirect" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:PublishSiteDirectCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/UpdateSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:UpdateSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetDefaultScenario">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/SetDefaultScenario" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:SetDefaultScenarioCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ActivateSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/ActivateSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:ActivateSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="TakeOwnershipOfAnonymousSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/TakeOwnershipOfAnonymousSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:TakeOwnershipOfAnonymousSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ChangeSiteOwner">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/ChangeSiteOwner" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:ChangeSiteOwnerCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/DeleteSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:DeleteSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="IsAnonymousSite">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/IsAnonymousSite" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
        <soap:header message="tns:IsAnonymousSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteExpiredAnonymouseSites">
      <soap:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/DeleteExpiredAnonymouseSites" style="document"/>
      <wsdl:input>
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:binding name="SiteWebServiceSoap12" type="tns:SiteWebServiceSoap">
    <soap12:binding transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="GetSiteHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/GetSiteHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetSiteHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSiteById">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/GetSiteById" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetSiteByIdCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateAnonymousSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateAnonymousSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateAnonymousSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSite2">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateSite2" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateSite2CredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="CreateSiteWithHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/CreateSiteWithHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:CreateSiteWithHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="MigrateSiteWithHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/MigrateSiteWithHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:MigrateSiteWithHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateSiteWithHost">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/UpdateSiteWithHost" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdateSiteWithHostCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="GetSites">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/GetSites" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:GetSitesCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PublishSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/PublishSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:PublishSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="PublishSiteDirect">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/PublishSiteDirect" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:PublishSiteDirectCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="UpdateSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/UpdateSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:UpdateSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="SetDefaultScenario">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/SetDefaultScenario" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:SetDefaultScenarioCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ActivateSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/ActivateSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:ActivateSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="TakeOwnershipOfAnonymousSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/TakeOwnershipOfAnonymousSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:TakeOwnershipOfAnonymousSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="ChangeSiteOwner">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/ChangeSiteOwner" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:ChangeSiteOwnerCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/DeleteSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:DeleteSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="IsAnonymousSite">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/IsAnonymousSite" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
        <soap12:header message="tns:IsAnonymousSiteCredentialsSoapHeader" part="CredentialsSoapHeader" use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
    <wsdl:operation name="DeleteExpiredAnonymouseSites">
      <soap12:operation soapAction="http://swsoft.com/SiteBuilder/SiteService/v_3_2/DeleteExpiredAnonymouseSites" style="document"/>
      <wsdl:input>
        <soap12:body use="literal"/>
      </wsdl:input>
      <wsdl:output>
        <soap12:body use="literal"/>
      </wsdl:output>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="SiteWebService">
    <wsdl:port name="SiteWebServiceSoap" binding="tns:SiteWebServiceSoap">
      <soap:address location="{location-placeholder}"/>
    </wsdl:port>
    <wsdl:port name="SiteWebServiceSoap12" binding="tns:SiteWebServiceSoap12">
      <soap12:address location="{location-placeholder}"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>